<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>
  <xsl:template match="MenuBar">
  
    <!-- Build MenuBar -->
    <DIV class="menuBar" onContextMenu="window.event.cancelBubble = 1; return false;">
      <UL>
        <xsl:for-each select="//Labels">
          <xsl:choose>
            <xsl:when test="@img">
              <LI class="clsMenubar">
                <xsl:attribute name="id">li<xsl:value-of select="@id" /></xsl:attribute>
                <IMG class="clsMenuImg">
                  <xsl:attribute name="onMouseOver">CloseSubMenu(); HighlightMenuSelection(this); MenuActif(event);</xsl:attribute>
                  <xsl:attribute name="onMouseOut">ResetMenuColor(this);</xsl:attribute>
                  <xsl:choose>
                    <xsl:when test="Label">
                      <xsl:attribute name="onClick">ShowMenu(event);</xsl:attribute>
                    </xsl:when>
                    <xsl:when test="Link">
                      <xsl:attribute name="onClick"><xsl:value-of select="Link" /></xsl:attribute>
                    </xsl:when>
                  </xsl:choose>
                  <xsl:attribute name="src"><xsl:value-of select="@img" /></xsl:attribute>
                  <xsl:attribute name="alt"><xsl:value-of select="@header" /></xsl:attribute>
                  <xsl:attribute name="title"><xsl:value-of select="@header" /></xsl:attribute>
                </IMG>
              </LI>
            </xsl:when>
            <xsl:otherwise>
              <LI class="clsMenubar">
                <xsl:attribute name="id">li<xsl:value-of select="@id" /></xsl:attribute>
                <xsl:attribute name="onMouseOver">CloseSubMenu(); HighlightMenuSelection(this); MenuActif(event);</xsl:attribute>
                <xsl:attribute name="onMouseOut">ResetMenuColor(this);</xsl:attribute>
                <xsl:attribute name="onClick">ShowMenu(event);</xsl:attribute>
                <xsl:value-of select="@header" />
              </LI>
            </xsl:otherwise>
          </xsl:choose>
          <!-- 
          <xsl:if test="position()!=last()">
            <SPAN>|</SPAN>
          </xsl:if> 
          -->
        </xsl:for-each>
      </UL>
    </DIV>
    
    <!-- Build MenuBar Drop Down Menu -->
    <xsl:for-each select="//Labels[Label]">
      <DIV class="clsMenu" onContextMenu="window.event.cancelBubble = 1; return false;">
        <xsl:attribute name="id">liChild<xsl:value-of select="@id" /></xsl:attribute>
        <TABLE border="0" cellpadding="0" cellspacing="0">
         <TBODY>
          <xsl:for-each select="Label">
            <xsl:choose>
              <xsl:when test="@id='separator'">
                <TR>
                  <TD class="menuBarLeft">
                  </TD>
                  <TD colspan="2" height="1">
                    <hr size="1" />
                  </TD>
                </TR>
              </xsl:when>
              <xsl:otherwise>
                <TR class="clsTopic">
                  <xsl:attribute name="onMouseOut">ResetMenuColor(this);</xsl:attribute>
                  <xsl:choose>
                    <xsl:when test="@subMenu">
                      <xsl:attribute name="onMouseOver">CloseSubMenu(); HighlightMenuSelection(this);<xsl:value-of select="Link" /></xsl:attribute>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:attribute name="onMouseOver">CloseSubMenu(); HighlightMenuSelection(this);</xsl:attribute>
                      <xsl:attribute name="onClick"><xsl:value-of select="Link" /></xsl:attribute>
                    </xsl:otherwise>
                  </xsl:choose>
                  <TD class="menuBarLeft">
                    <xsl:choose>
                      <xsl:when test="@img">
	                      <img style="float:left;border:0px;margin-right:15px;">
	                        <xsl:attribute name="id">img<xsl:value-of select="@img"/></xsl:attribute>
	                        <xsl:attribute name="src"><xsl:value-of select="@img" /></xsl:attribute>
	                      </img>
                      </xsl:when>
                      <xsl:otherwise>
                        <SPAN class="menuBarLeft"> </SPAN> <!-- Fix Ie bug -->
                      </xsl:otherwise>
                    </xsl:choose>
                  </TD>
                  <TD>
                    <NOBR><xsl:value-of select="Text" /></NOBR>
                  </TD>
                  <TD class="menuBarRight"> 
                    <xsl:if test="@subMenu">
                      <img style="float:right;border:2px;">
                        <xsl:attribute name="src">Images/Arrow.gif</xsl:attribute>
                        <xsl:attribute name="height">13px</xsl:attribute>
                        <xsl:attribute name="width">15px</xsl:attribute>
                      </img>
                    </xsl:if>
                  </TD>
                </TR>
              </xsl:otherwise>
            </xsl:choose >
          </xsl:for-each>
         </TBODY>
        </TABLE>
      </DIV>
    </xsl:for-each>
    
    <!-- Build MenuBar Sub Menu -->
    <xsl:for-each select="//SubLabels[Label]">
      <DIV class="clsMenu" onContextMenu="window.event.cancelBubble = 1; return false;">
        <xsl:attribute name="id"><xsl:value-of select="@id" /></xsl:attribute>
        <TABLE border="0" cellpadding="0" cellspacing="0">
         <TBODY>
          <xsl:for-each select="Label">
            <xsl:choose>
              <xsl:when test="@id='separator'">
                <TR>
                  <TD colspan="3" height="1">
                    <hr size="1" />
                  </TD>
                </TR>
              </xsl:when>
              <xsl:otherwise>
                <TR class="clsTopic">
                  <xsl:attribute name="onMouseOut">ResetMenuColor(this);</xsl:attribute>
                  <xsl:choose>
                    <xsl:when test="@subMenu">
                      <xsl:attribute name="onMouseOver">RefreshSubMenu(this); HighlightMenuSelection(this);<xsl:value-of select="Link" /></xsl:attribute>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:attribute name="onMouseOver">RefreshSubMenu(this); HighlightMenuSelection(this);</xsl:attribute>
                      <xsl:attribute name="onClick"><xsl:value-of select="Link" /></xsl:attribute>
                    </xsl:otherwise>
                  </xsl:choose>
                  <TD class="menuBarLeft">
                    <xsl:choose>
                      <xsl:when test="@img">
	                      <img style="float:left;border:0px;margin-right:15px;">
	                        <xsl:attribute name="id">img<xsl:value-of select="@img"/></xsl:attribute>
	                        <xsl:attribute name="src"><xsl:value-of select="@img" /></xsl:attribute>
	                      </img>
                      </xsl:when>
                      <xsl:otherwise>
                        <SPAN class="menuBarLeft"> </SPAN> <!-- Fix Ie bug -->
                      </xsl:otherwise>
                    </xsl:choose>
                  </TD>
                  <TD>
                    <NOBR><xsl:value-of select="Text" /></NOBR>
                  </TD>
                  <TD class="menuBarRight"> 
                    <xsl:if test="@subMenu">
                      <img style="float:right;border:2px;">
                        <xsl:attribute name="src">Images/Arrow.gif</xsl:attribute>
                        <xsl:attribute name="height">13px</xsl:attribute>
                        <xsl:attribute name="width">15px</xsl:attribute>
                      </img>
                    </xsl:if>
                  </TD>
                </TR>
              </xsl:otherwise>
            </xsl:choose >
          </xsl:for-each>
         </TBODY>
        </TABLE>
      </DIV>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>

