// Copyright 2007 by Developer Utility
// Please see http://www.developerutility.com/Terms.htm for terms of use.

//////////////////////////////////////////////////////////////
////       Common function and prototype plug-in         /////
//////////////////////////////////////////////////////////////
// (Fire Fox)oEle.textContent == (IExplorer) oEle.innerText;

String.prototype.trim = function() { return this.replace(/^\s+|\s+$/g,""); }
String.prototype.ltrim = function() { return this.replace(/^\s+/g,""); }
String.prototype.rtrim = function() { return this.replace(/\s+$/g,""); }

Array.prototype.sortNum = function() { return this.sort( function (a,b) { return a-b; } ); }
Array.prototype.indexOf = function(vItem) {
    for(var i=0; i < this.length; i++) {
        if(vItem = this[i]) {return i;}
    }
    return -1;
}

Object.prototype.xml = function() { return (new XMLSerializer()).serializeToString(this); }

// Fire Fox
Object.prototype.getElementsByClass = function(searchClass, tag) {      
	var classElements = new Array();
	
	if(tag == null || tag == "") { tag = "*"; }
	
	var elements = this.getElementsByTagName(tag);
	var pattern = new RegExp('(^|\\s)' + searchClass + '(\\s|$)');
	
	var i = 0;
	while(i < elements.length) {
		if(pattern.test(elements[i].className)) {
			classElements.push(elements[i]);
		}
		i++;
	}
  return classElements;
}

// IExplorer
function GetElementsByClass(searchClass, node, tag) {
	var classElements = new Array();
	
	if(node == null) { node = document; }
	if(tag == null || tag == "") { tag = "*"; }
	
	var elements = node.getElementsByTagName(tag);
	var pattern = new RegExp('(^|\\s)' + searchClass + '(\\s|$)');
	
	var i = 0;
	while(i < elements.length) {
		if(pattern.test(elements[i].className)) {
			classElements.push(elements[i]);
		}
		i++;
	}
	return classElements;
}

function GetWindowsDemo() {
	var oBody = document.body;
	var windows;
	
  if(browser.isIE) {
  	windows = GetElementsByClass("window", oBody, "div");
  }
  else if(browser.isGecko) {
  	windows = oBody.getElementsByClass("window","div");
  }
	
	var i = 0;
	while(i < windows.length) {
		
		// Your code here ... 
		
	  i++;
	}
}

//////////////////////////////////////////////////////////////
/////////////////  GET XML DOM OBJECT  ///////////////////////
//////////////////////////////////////////////////////////////
function GetXmlDomObject() {
  try { 
	  var oXmlDom = null;
		
	  if(browser.isIE) { 
	    oXmlDom = new ActiveXObject("Microsoft.XMLDOM"); 
	    oXmlDom.async = false;
	    oXmlDom.setProperty("SelectionLanguage", "XPath");
	  }
	  else if(browser.isGecko) { 
			// Firefox | Netscape | Safari 
			oXmlDom = document.implementation.createDocument("", "", null);
			oXmlDom.async = false;
	  }
	  else { 
	    alert('Dear client, you are viewing this page with a second category browser. The page may not behave as expected.'); 
	    return; 
	  }
		
		// Safari create a DOM document instead of a XML document
		if(browser.isSafari) { oXmlDom.load = SafariXmlLoad; }
		
	  return oXmlDom;
  	
	} catch(e) { 
		StatusBarWrite("Error (fnc : " + "GetXmlDomObject" + "). " + e.message, 3000);
    return null; 
	} 
}

function SafariXmlLoad(path) {
  if(window.XMLHttpRequest) {
    var request = new XMLHttpRequest();
    request.open("GET", path, false);
    request.send(null);
    return request.responseXML;
  }
}

//////////////////////////////////////////////////////////////
////////     SET-GET XML-XSL TRANSFORMATION     //////////////
//////////////////////////////////////////////////////////////
function SetXmlInInnerHtml(strXmlFile, strXslFile, strDiv) {
	try {
	  var xmlDoc = GetXmlDomObject();
	  var xslDoc = GetXmlDomObject();
		
		if(!browser.isSafari) {
		  xmlDoc.load(strXmlFile.trim());
		  xslDoc.load(strXslFile.trim());
		} else {
		    xmlDoc = xmlDoc.load(strXmlFile.trim());
		    xslDoc = xslDoc.load(strXslFile.trim());
		  }
		
	  if(browser.isIE) {
		  eval(strDiv + ".innerHTML = xmlDoc.documentElement.transformNode(xslDoc);");
	  }
	  if(browser.isGecko) {
			var xsltProcessor = new XSLTProcessor();
		  xsltProcessor.importStylesheet(xslDoc);
		  var oFragment = xsltProcessor.transformToFragment(xmlDoc, document);
		  
		  var oEle = document.getElementById(strDiv);
		  oEle.innerHTML = "";
		  
		  if(strDiv.indexOf("Icon") > -1) {
			  oEle.style.height = "50px";
		  } else {
			  	oEle.style.height = "25px";
		    }
		  oEle.appendChild(oFragment);
	  }
		
	} catch(e) {
		StatusBarWrite("Error (fnc : " + "SetXmlInInnerHtml" + "). " + e.message, 3000);
	  }
}

function GetTransfromXml(strXmlFile, strXslFile) {
	try {
	  var xmlDoc = GetXmlDomObject();
	  var xslDoc = GetXmlDomObject();
		
		if(!browser.isSafari) {
		  xmlDoc.load(strXmlFile.trim());
		  xslDoc.load(strXslFile.trim());
		} else {
		    xmlDoc = xmlDoc.load(strXmlFile.trim());
		    xslDoc = xslDoc.load(strXslFile.trim());
		  }
		
	  if(browser.isIE) {
		  return xmlDoc.documentElement.transformNode(xslDoc);
	  }
	  if(browser.isGecko) {
			var xsltProcessor = new XSLTProcessor();
		  xsltProcessor.importStylesheet(xslDoc);
		  var oFragment = xsltProcessor.transformToFragment(xmlDoc, document);
		  return oFragment;
	  }
	  
	} catch(e) {
		StatusBarWrite("Error (fnc : " + "GetTransfromXml" + "). " + e.message, 3000);
	  }
}

//////////////////////////////////////////////////////////////
///////////////      BUILD MENU       ////////////////////////
//////////////////////////////////////////////////////////////
var menubarBuild = 0;

function BuildMenu(menuType) {
  try {
		
	  switch(menuType) {
	    case 1:
	    	SetXmlInInnerHtml('Data/MenuBarEN.xml', 'Data/MenuBar.xsl', 'menuContainer');
	    	
				// Only allow one time creation of demo window
				if(menubarBuild == 0) {
					menubarBuild = 1;
				}
				
	    	break;
	      
	    case 2:
				SetXmlInInnerHtml('Data/MenuBarIconENDemo1.xml', 'Data/MenuBar.xsl', 'menuIconContainer');
	    	break;
	  }
    
  } catch(e) {
    StatusBarWrite("Error (fnc : " + "BuildMenu" + "). " + e.message, 3000);
    }
}

